Async Job - Request Securities Exposures

This endpoint will make a request for an async job to retrieve the whole universe of Clarity.AI exposures for given security types (or security ids) and exposure ids.
You can ask whether to get securities using securityTypes or provide a list of security ids (usually ISINs) with securityIds, but NOT both.Please note: This call returns only the identifier (UUID) for the created job. You'll need this value later on further calls to know the status of your job (see Async Job - Get job status) or download your file when ready (see «Async Job - Download result file»)
Check this document for a complete explanation of the flow for these async jobs endpoints

Body Params
exposureIds
array of strings

Requested exposure ids

exposureIds
securityTypes
array of strings
enum

The security types requested

securityTypes
string
enum
Defaults to ISIN

Defines whether the security IDs passed in the 'securityIds' parameter are of type ISIN or CUSIP.

Allowed:
securityIds
array of strings

List of security ids to retrieve

securityIds
idColumns
array of strings
enum
Defaults to ISIN

Allows you to specify a list of security ID types that will be included in the response CSV. Only the securities that have an identifier type matching 'idColumns' will be returned. If you want to retrieve all the securities, you can set 'idColumns' to "ALL" and no securities will be filtered out. Take into account that when using the "ALL" parameter whenever a new security identifier type is available in the Clarity AI platform it will be included in the CSV response.

idColumns
boolean
Defaults to false

Include minimum and maximum revenue percentages for each exposure in the downloaded file

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json